summaryrefslogtreecommitdiff
path: root/tests/bf/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/bf/test.sh')
-rwxr-xr-xtests/bf/test.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/bf/test.sh b/tests/bf/test.sh
new file mode 100755
index 0000000..8b76794
--- /dev/null
+++ b/tests/bf/test.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+if [ "$(cat hw0.bf | ./bf.bin)" != "Hello World!" ]; then
+ echo "hello world 0 failed."
+ exit 1
+fi
+if [ "$(cat hw1.bf | ./bf.bin)" != "Hello World!" ]; then
+ echo "hello world 1 failed."
+ exit 1
+fi